Data Fields
kvmLogTriggerEx Struct Reference

A trigger message. More...

`#include <kvmlib.h>`

## Data Fields
int32 | type
| The type of trigger TRIGVAR_TYPE_xxx. More...
int32 | preTrigger
| Pretrigger time in milliseconds. More...
int32 | postTrigger
| Posttrigger time in milliseconds. More...
uint32 | trigMask
| Bitmask with all active triggers. More...
int64 | timeStamp
| The timestamp in units of 1 nanosecond. More...

## Detailed Description

A trigger message.

## Field Documentation

## ◆ postTrigger

int32 postTrigger

Posttrigger time in milliseconds.

## ◆ preTrigger

int32 preTrigger

Pretrigger time in milliseconds.

## ◆ timeStamp

int64 timeStamp

The timestamp in units of 1 nanosecond.

## ◆ trigMask

uint32 trigMask

Bitmask with all active triggers.

## ◆ type

int32 type

The type of trigger TRIGVAR_TYPE_xxx.

The documentation for this struct was generated from the following file:

- kvmlib.h